#
# spec file for package rpmlint-Factory
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpmlint-Factory
Requires:       rpmlint-mini
Summary:        RPM file correctness checker - openSUSE:Factory configuration
License:        GPL-2.0+
Group:          System/Packages
Version:        1.0
Release:        lp152.6.3.1
Url:            http://rpmlint.zarb.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source1:        COPYING
Source2:        config
Source3:        config.strict
BuildArch:      noarch

%description
rpmlint is a tool to check common errors on RPM packages. This package
provides the configuration specific for SUSE Factory.

%package strict
Summary:        Conflict only applying to openSUSE:Factory itself
Group:          System/Packages

%description strict
The package contains additional rpmlint configuration that forbids
invalid licenses and enforces higher badness values for warnings/errors
that indicate that a security audit needs to take place.

%prep
cp %{SOURCE1} .

%build

%install
install -m 644 -D %{SOURCE2} %{buildroot}/%{_sysconfdir}/rpmlint/factory.config
install -m 644 -D %{SOURCE3} %{buildroot}/%{_sysconfdir}/rpmlint/factory-strict.config

%files
%defattr(-,root,root,0755)
%doc COPYING
%dir %{_sysconfdir}/rpmlint
%{_sysconfdir}/rpmlint/factory.config

%files strict
%defattr(-,root,root,0755)
%dir %{_sysconfdir}/rpmlint
%{_sysconfdir}/rpmlint/factory-strict.config

%changelog
* Mon Dec  7 2020 Johannes Segitz <jsegitz@suse.com>
- Reduce default badness values of various security relevant warnings
  and increase them again in -strict subpackage. With that building
  doesn't fail in home projects anymore if these warnings pop up
* Tue Oct 24 2017 jengelh@inai.de
- Remove redundant %%clean section. Use some more macros.
  Update descriptions.
* Wed Oct 11 2017 dmueller@suse.com
- lower badness for summary-not-capitalized
* Sun Oct  1 2017 dmueller@suse.com
- lower badness for script-interpreter in preparation of rpmlint
  1.10 update
* Tue May  6 2014 lnussel@suse.de
- make dir-or-file-in-var-run resp dir-or-file-in-var-lock fatal
- non-ghost-in-var-run renamed to non-ghost-in-run
* Thu Jan 30 2014 dmueller@suse.com
- make anything >= 1000 fatal
* Thu Jan 31 2013 coolo@suse.com
- remove the license badness from config, it was only meant for
  strict config
* Fri Jan 25 2013 coolo@suse.com
- split out rpmlint-Factory-strict which enables further checks
  only to be enabled in openSUSE:Factory itself (that can easily
  be checked by factory-auto)
* Wed Mar  7 2012 lnussel@suse.de
- make non-position-independent-executable fatal as announced
  on opensuse-factory at 2012-01-23
* Tue Dec 20 2011 lnussel@suse.de
- don't make suse-filelist-empty fatal anymore. Historical
  justification for this check is not clear anymore. Probably to
  avoid accidentally forgotten files. rpm nowadays throws errors
  itself when globs don't match or files in the build root are not
  listed.
* Thu Aug  4 2011 lnussel@suse.de
- make 'non-ghost-in-var-run' and 'non-ghost-in-var-lock' fatal
* Fri May 20 2011 dmueller@suse.de
- set security team checks as nonfilterable
* Tue May 17 2011 lnussel@suse.de
- dir-or-file-in-var-run -> non-ghost-in-var-run
* Fri May 13 2011 dmueller@suse.de
- set shlib-policy and permissions check as nonfilterable
* Mon Nov 22 2010 lnussel@suse.de
- make polkit-unauthorized-privilege fatal
* Tue Oct 19 2010 lnussel@suse.de
- make suse-dbus-unauthorized-service fatal
* Tue Jun 29 2010 lnussel@suse.de
- add some missing badness values for filelist checks
* Wed Apr 28 2010 dmueller@suse.de
- remove dir-or-file-in-tmp badness again
* Mon Apr 26 2010 dmueller@suse.de
- set (non-fatal) badness for no-pkg-config-provides
- set (non-fatal) badness for dir-or-file-in-var-run
- set (non-fatal) badness for dir-or-file-in-tmp
- set (non-fatal) badness for shlib-fixed-dependency (bnc#477649)
* Fri Feb 26 2010 lnussel@suse.de
- disable badness for polkit stuff for now
* Sun Sep 27 2009 crrodriguez@suse.de
- This is a "noarch" package
* Wed Jun 17 2009 lnussel@suse.de
- don't make dbus-policy-missing-allow fatal (bnc#513874)
* Mon Feb  9 2009 lnussel@suse.de
- add badness for 'info-dir-file'
* Fri Jan 30 2009 lnussel@suse.de
- add badness for 'binary-in-etc'
- 'use-filelist-forbidden-fhs23' disabled for now
* Wed Jan 28 2009 lnussel@suse.de
- disable suse-filelist-forbidden-devel-in-lib badness which was not
  catched by the previous build check until I have time to fix the
  fallout
* Fri Jan 23 2009 lnussel@suse.de
- fail packages that are known to break due to broken dbus config
* Thu Jan  8 2009 lnussel@suse.de
- make filelist violations fatal
* Tue Nov  4 2008 lnussel@suse.de
- directories with setuid/setgid bit use a different error now so only the one
  for files should be fatal.
* Tue Oct 28 2008 lnussel@suse.de
- make permissions violations fatal
* Sat Jun 28 2008 dmueller@suse.de
- remove badness for defattr again - check is unrepairable broken
* Fri Jun 27 2008 dmueller@suse.de
- install as /etc/rpmlint/factory.config to resolve bootstrapping
  issue
* Sun Jun 22 2008 dmueller@suse.de
- enable badness explicitely (needed for 0.83 update)
- add badness for missing defattr
* Thu May  1 2008 dmueller@suse.de
- add fatal badness for incorrect kmp deps (#384084bnc)
* Thu Apr 17 2008 adrian@suse.de
- add GPL v2 COPYING file and notice
* Tue Apr  8 2008 dmueller@suse.de
- rename to rpmlint-Factory
* Thu Feb 28 2008 dmueller@suse.de
- make invalid-filepath-dependency fatal (#365288)
* Tue Feb 26 2008 dmueller@suse.de
- remove dot-in-identifier check
- useless-explicit-self-provide check renamed
- add low badness for too-long summary
- fix fatal badness for percent checks (#360332)
* Tue Feb 12 2008 dmueller@suse.de
- add fatal badness for percent in dependencies (#360332)
* Thu Feb  7 2008 dmueller@suse.de
- add badness for things that were previously
  checked via brp's
* Wed Jan 23 2008 dmueller@suse.de
- add badness for makefile junk being packaged
- make libtool wrappers in packages fatal
* Wed Nov  7 2007 dmueller@suse.de
- make hardlink checks fatal (#304167)
* Fri Jun 22 2007 dmueller@suse.de
- fix the bzip2/gzip confusion once again
* Thu Jun 21 2007 dmueller@suse.de
- fix infopage scoring
- add fatal score for shared lib policy violations (#286317)
* Thu May 31 2007 dmueller@suse.de
- remove wrong-end-of-line scoring
* Wed May 23 2007 dmueller@suse.de
- only score for missing ldconfig in postin for now
- add (low) score for executable-docs
* Wed May 23 2007 dmueller@suse.de
- lower badness of duplicate files and spurious executables
* Tue May 15 2007 dmueller@suse.de
- Initial package
